# $Revision: 1.4.2.6 $, $Date: 2004/03/03 19:21:08 $
# conditional build
# _without_dist_kernel          without distribution kernel
%define		_orig_name	bcm4400

Summary:	Broadcom BCM4400 series driver for Linux
Summary(pl):	Sterownik do karty Broadcom BCM4400
Name:		kernel-net-%{_orig_name}
Version:	1.0.1
%define	_rel	6
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Vendor:		Broadcom Corporation
Group:		Base/Kernel
Source0:	%{_orig_name}-%{version}.tar.gz
# Source0-md5:	c143ebf1b9199486734d59e40c0e0333
Patch0:		%{name}-alpha.patch
%{!?_without_dist_kernel:BuildRequires:         kernel-source > 2.2 }
BuildRequires:	%{kgcc_package}
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Broadcom BCM4400 10/100
Ethernet network adapter.

%description -l pl
Pakiet zawiera sterownik dla Linuksa do kart sieciowych Broadcom
BCM4400 10/100Mbit.

%package -n kernel-smp-net-%{_orig_name}
Summary:	Broadcom BCM4400 driver for Linux SMP
Summary(pl):	Sterownik do karty Broadcom BCM4400 dla Linuksa SMP
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_smp}

%description -n kernel-smp-net-%{_orig_name}
This package contains the Linux SMP driver for the Broadcom BCM4400
series 10/100 Mbps Ethernet Network Cdapter.

%description -n kernel-smp-net-%{_orig_name} -l pl
Pakiet zawiera sterownik dla Linuksa SMP do kart sieciowych Broadcom
BCM4400 10/100Mbit.

%prep
%setup -q -n src
%patch -p1

%build
%{__make} SMP=1 CC="%{kgcc} -DCONFIG_X86_LOCAL_APIC -DSTB_WA" KSRC=%{_kernelsrcdir}
mv -f %{_orig_name}.o %{_orig_name}-smp.o
%{__make} clean KSRC=%{_kernelsrcdir}
%{__make} CC="%{kgcc} -DSTB_WA" KSRC=%{_kernelsrcdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
install -d $RPM_BUILD_ROOT/%{_mandir}/man4
install %{_orig_name}-smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/%{_orig_name}.o
install %{_orig_name}.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/%{_orig_name}.o
install %{_orig_name}.4.gz $RPM_BUILD_ROOT/%{_mandir}/man4/%{_orig_name}.4.gz

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%post -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%postun -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%files
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/*
%{_mandir}/man4/%{_orig_name}.4.gz

%files -n kernel-smp-net-%{_orig_name}
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/*
%{_mandir}/man4/%{_orig_name}.4.gz

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel-net-bcm4400.spec,v $
Revision 1.4.2.6  2004/03/03 19:21:08  ankry
-rel. 6

Revision 1.4.2.5  2004/03/03 19:12:19  ankry
- added -alpha patch to fix build on alpha

Revision 1.4.2.4  2004/03/02 02:16:41  ankry
- rel. 5

Revision 1.4.2.3  2004/02/18 20:45:30  undefine
- release 4, md5sum

Revision 1.4.2.2  2003/07/11 12:01:33  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.4.2.1  2003/05/11 16:45:28  dzimi
- rel++; rebuild with 2.2.25-3

Revision 1.4  2003/03/23 22:48:24  blues
- release 2; rebuild with 2.2.25

Revision 1.3  2003/03/02 09:43:10  marcus
- it builds on 2.2 too

Revision 1.2  2003/02/22 20:40:02  ankry
- adapterized

Revision 1.1  2003/02/22 13:37:03  aflinta
- PLD initial release
